Skip to main content
GET
/
v2
/
earn
/
aave_token_rates
Python (SDK)
from compass_api_sdk import CompassAPI


with CompassAPI(
    api_key_auth="<YOUR_API_KEY_HERE>",
) as compass_api:

    res = compass_api.earn.earn_aave_token_rates(token="USDC")

    # Handle response
    print(res)
{
  "ethereum": {
    "supply_apy_variable_rate": "<string>",
    "borrow_apy_variable_rate": "<string>"
  },
  "base": {
    "supply_apy_variable_rate": "<string>",
    "borrow_apy_variable_rate": "<string>"
  },
  "arbitrum": {
    "supply_apy_variable_rate": "<string>",
    "borrow_apy_variable_rate": "<string>"
  },
  "supply_apy_max": {
    "chain": "<string>",
    "rates": {
      "supply_apy_variable_rate": "<string>",
      "borrow_apy_variable_rate": "<string>"
    }
  }
}

Authorizations

x-api-key
string
header
required

Your Compass API Key. Get your key here.

Query Parameters

token
string
default:USDC
required

The symbol or address of the token to fetch rates for. A token identifier - either a supported symbol (e.g., USDC, WETH) or a valid Ethereum address (0x...)

Response

Successful Response

Response containing token rates on Aave for Ethereum, Base, and Arbitrum.

ethereum
ChainRateData · object
required

Token rates on Ethereum mainnet.

base
ChainRateData · object
required

Token rates on Base mainnet.

arbitrum
ChainRateData · object
required

Token rates on Arbitrum mainnet.

supply_apy_max
MaxSupplyApyData · object
required

Chain name and rate data for the chain with the highest supply_apy_variable_rate.